Altibase.jdbc.driver.cm

## Class CmShardOperation

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmOperationDef
  - - Altibase.jdbc.driver.cm.CmShardOperation

    public class CmShardOperation
    extends CmOperationDef

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.cm.CmOperationDef

`CONNECT_MODE_NORMAL, CONNECT_MODE_SYSDBA, DB_OP_EXECUTE_V2, DB_OP_EXECUTE_V2_RESULT, DB_OP_PARAM_DATA_IN_LIST_V2, DB_OP_SET_PROPERTY, DB_OP_SHARD_TRANSACTION, DB_OP_TRANSACTION, WRITE_STRING_MODE_DB, WRITE_STRING_MODE_NCHAR, WRITE_STRING_MODE_NLITERAL`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setChannel(CmChannel aChannel)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmOperationDef

`getOperationName, getOperationName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setChannel

    public void setChannel(CmChannel aChannel)